Package Base Details: xorg-server-git

Git Clone URL: https://aur.archlinux.org/xorg-server-git.git (read-only, click to copy)
Keywords: git x-server xorg xorg-server
Submitter: ilikenwf
Maintainer: JstKddng (yurikoles)
Last Packager: yurikoles
Votes: 49
Popularity: 1.08
First Submitted: 2008-08-07 19:05
Last Updated: 2021-09-03 09:04

Latest Comments

« First ‹ Previous ... 10 11 12 13 14 15 16 17 18 19 20 ... Next › Last »

portaloffreedom commented on 2013-08-10 15:46

add bison to makedepends

plfiorini commented on 2013-08-08 14:47

Please add xorg-font-util and inputproto to makedepends.
My advice is to build packages in a chroot to spot this issues.

kelloco2 commented on 2013-07-24 15:18

==> Zaczynam build()
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force -I m4
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
configure.ac:76: error: possibly undefined macro: AC_LIBTOOL_WIN32_DLL
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
configure.ac:77: error: possibly undefined macro: AC_DISABLE_STATIC
configure.ac:78: error: possibly undefined macro: AC_PROG_LIBTOOL
autoreconf: /usr/bin/autoconf failed with exit status: 1
==> BŁĄD: Wystąpił błąd w build().
Przerywam...
==> ERROR: Makepkg was unable to build xwayland-git.
;/

Det commented on 2013-07-21 07:25

"git describe --always | cut -d "-" -f3- | tr - ." would work (1.14.99.1.137.g7446989).

Det commented on 2013-07-21 07:23

The default pkgver is wrong (0) and the one you get with "git describe --always | sed 's|-|.|g'" is also wrong (xorg.server.1.14.99.1.137.g7446989).

NilsBrause commented on 2013-07-12 16:58

@postadelmaga:
Thanks, fixed.

postadelmaga commented on 2013-07-09 02:37

@Yukicanis
- I found a missed dependencies here `xineramaproto`, I got this error during compilation process:

No package 'xineramaproto' found

NilsBrause commented on 2013-07-07 17:09

@postadelmaga:
Indeed, xf86-video-intel-xwayland-git should depend on weston and wayland instead of weston-git and wayland-git. Unfortunately, I cannot maintain xf86-video-intel-xwayland-git, because I do not own any Intel hardware.

postadelmaga commented on 2013-07-07 12:31

I'm net to AUR and ARCH and maybe I'm wrong:
- `xwayland-git` requires `weston`
but
- `xf86-video-intel-xwayland-git` requires `weston-git`
... so there is a conflict installing those 2 packages

Det commented on 2013-05-27 05:05

Will it take many more months to do this?